### Method

# Pango FontDescription set_family_static

#### Declaration [src]

    void
    pango_font_description_set_family_static (
      PangoFontDescription* desc,
      const char* family
    )

#### Description [src]

Sets the family name field of a font description, without copying the string.

This is like `pango_font_description_set_family()`, except that no copy of `family` is made. The caller must make sure that the string passed in stays around until `desc` has been freed or the name is set again. This function can be used if `family` is a static string such as a C string literal, or if `desc` is only needed temporarily.

#### Parameters

`family`

  Type: `const char*`

  A string representing the family name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.